IncidentFormFieldSelections
Creates an incident form field selection
Creates a new incident form field selection from provided data
POST
/
v1
/
incidents
/
{incident_id}
/
form_field_selections
Creates an incident form field selection
curl --request POST \
--url https://api.rootly.com/v1/incidents/{incident_id}/form_field_selections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_form_field_selections",
"attributes": {
"incident_id": "<string>",
"form_field_id": "<string>",
"value": "<string>",
"selected_catalog_entity_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"selected_environment_ids": [
"<string>"
],
"selected_cause_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_form_field_selections",
"attributes": {
"incident_id": "<string>",
"form_field_id": "<string>",
"value": "<string>",
"selected_catalog_entity_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"selected_environment_ids": [
"<string>"
],
"selected_cause_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
Previous
Retrieves an incident form field selectionRetrieves a specific incident form field selection by id
Next
⌘I
Creates an incident form field selection
curl --request POST \
--url https://api.rootly.com/v1/incidents/{incident_id}/form_field_selections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_form_field_selections",
"attributes": {
"incident_id": "<string>",
"form_field_id": "<string>",
"value": "<string>",
"selected_catalog_entity_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"selected_environment_ids": [
"<string>"
],
"selected_cause_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_form_field_selections",
"attributes": {
"incident_id": "<string>",
"form_field_id": "<string>",
"value": "<string>",
"selected_catalog_entity_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"selected_environment_ids": [
"<string>"
],
"selected_cause_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}